0

Anytime I try to use macports I get the following error:

--->  Computing dependencies for wget
--->  Dependencies to be installed: gettext libiconv ncurses gmp gnutls libtasn1 nettle libgcrypt libgpg-error libidn pcre bzip2 libedit zlib
--->  Activating libiconv @1.14_0
Error: org.macports.activate for port libiconv returned: Image error: /opt/local/bin/iconv already exists and does not belong to a registered port.  Unable to activate port libiconv. Use 'port -f activate libiconv' to force the activation.
Error: Failed to install libiconv
Please see the log file for port libiconv for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_textproc_libiconv/libiconv/main.log
Error: The following dependencies were not installed: gettext libiconv ncurses gmp gnutls libtasn1 nettle libgcrypt libgpg-error libidn pcre bzip2 libedit zlib
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port wget failed

This hasn't always been the case. Have I corrupted something on my system?

0

Do what the error says, run the following command:

port -f activate libiconv

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .